Subject: Re: [PATCH v2 04/14] dt-bindings: arm: mediatek: document WED binding for MT7622

From: Andrew Lunn <[email-masked]>
Date: Thu, 7 Apr 2022 17:50:54 +0200

> > Isn't this a network offload engine? If yes, then probably it should be
> > in "net/".
> It's not a network offload engine by itself. It's a SoC component that
> connects to the offload engine and controls a MTK PCIe WLAN device,
> intercepting interrupts and DMA rings in order to be able to inject packets
> coming in from the offload engine.

Hi Felix

Maybe turn the question around. Can it be used for something other
than networking? If not, then somewhere under net seems reasonable.

     Andrew